package structs

type GetUserResponse struct {
	AvatarUrl string
}

// swagger:model UserLoginRequest
type UserLoginRequest struct {
	Email    string
	Password string
}

// swagger:model UserLoginResponse
type UserLoginResponse struct {
	Session string
}

// swagger:model TeamMember
type TeamMember struct {
	Id                string
	FirstName         string
	LastName          string
	Email             string
	RoleId            string
	ProfilePictureUrl string
}

type CreateTeamMemberRequest struct {
	FirstName string
	LastName  string
	Email     string
	RoleId    string
	Password  string
}
